Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.conditions
Interface Condition

All Known Implementing Classes:
  AndCondition, FracBusyAgentsCondition, FracBusyAgentsThreshCondition, FracBusyAgentsThreshWithTypeCondition, FracBusyAgentsWithTypesCondition, NumFreeAgentsCondition, NumFreeAgentsThreshCondition, OrCondition, QueueSizesCondition, QueueSizesWithTypesCondition, QueueSizeThreshCondition, QueueSizeThreshWithTypeCondition, StatCondition

    public interface Condition

Represents a condition that can be checked on a given contact. Often, the test performed by such a condition is simple, e.g., the condition applies if the number of queued contacts of the type of the tested contact is greater than a threshold.

However, some conditions require complex state information, such as statistics observed during some time periods. In such cases, mechanisms need to be initialized at the beginning of simulation steps, and started during time intervals the condition is used. For this, the condition object might implement the `Initializable` and `ToggleElement` interfaces in addition to this interface. The simulator calls `init()` on each initializable condition, then `start()` for each condition implementing `ToggleElement`.

Method Summary
`boolean` | `applies(Contact contact)` Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies.

Method Detail

### applies

    boolean applies(Contact contact)

  Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies. Some conditions depend on the state of the system rather than a particular contact. In such cases, the contact object can be ignored.

  Parameters:
    `contact` - the contact on which to check the condition.
  Returns:
    the success indicator of the test.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.